/* Generated automatically from ./Modules/config.c.in by makesetup. */
/* -*- C -*- ***********************************************
Copyright (c) 2000, BeOpen.com.
Copyright (c) 1995-2000, Corporation for National Research Initiatives.
Copyright (c) 1990-1995, Stichting Mathematisch Centrum.
All rights reserved.

See the file "Misc/COPYRIGHT" for information on usage and
redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
******************************************************************/

/* Module configuration */

/* !!! !!! !!! This file is edited by the makesetup script !!! !!! !!! */

/* This file contains the table of built-in modules.
   See init_builtin() in import.c. */

#include "Python.h"


extern void initsignal(void);
extern void initposix(void);
extern void init_sre(void);
extern void initnew(void);
extern void init_symtable(void);
extern void initreadline(void);
extern void initarray(void);
extern void initcmath(void);
extern void initmath(void);
extern void initstruct(void);
extern void inittime(void);
extern void initoperator(void);
extern void init_weakref(void);
extern void init_codecs(void);
extern void initunicodedata(void);
extern void init_locale(void);
extern void initfcntl(void);
extern void initpwd(void);
extern void initgrp(void);
extern void initerrno(void);
extern void initselect(void);
extern void initxreadlines(void);
extern void init_socket(void);
extern void initcrypt(void);
extern void inittermios(void);
extern void initresource(void);
extern void initaudioop(void);
extern void initimageop(void);
extern void initrgbimg(void);
extern void initmd5(void);
extern void initsha(void);
extern void inittiming(void);
extern void initrotor(void);
extern void initdl(void);
extern void initbsddb(void);
extern void initbinascii(void);
extern void initcStringIO(void);
extern void initcPickle(void);
extern void initzlib(void);
extern void init_rlsetup(void);
extern void initregex(void);

/* -- ADDMODULE MARKER 1 -- */

extern void PyMarshal_Init(void);
extern void initimp(void);
extern void initgc(void);

struct _inittab _PyImport_Inittab[] = {

	{"signal", initsignal},
	{"posix", initposix},
	{"_sre", init_sre},
	{"new", initnew},
	{"_symtable", init_symtable},
	{"readline", initreadline},
	{"array", initarray},
	{"cmath", initcmath},
	{"math", initmath},
	{"struct", initstruct},
	{"time", inittime},
	{"operator", initoperator},
	{"_weakref", init_weakref},
	{"_codecs", init_codecs},
	{"unicodedata", initunicodedata},
	{"_locale", init_locale},
	{"fcntl", initfcntl},
	{"pwd", initpwd},
	{"grp", initgrp},
	{"errno", initerrno},
	{"select", initselect},
	{"xreadlines", initxreadlines},
	{"_socket", init_socket},
	{"crypt", initcrypt},
	{"termios", inittermios},
	{"resource", initresource},
	{"audioop", initaudioop},
	{"imageop", initimageop},
	{"rgbimg", initrgbimg},
	{"md5", initmd5},
	{"sha", initsha},
	{"timing", inittiming},
	{"rotor", initrotor},
	{"dl", initdl},
	{"bsddb", initbsddb},
	{"binascii", initbinascii},
	{"cStringIO", initcStringIO},
	{"cPickle", initcPickle},
	{"zlib", initzlib},
	{"_rlsetup", init_rlsetup},
	{"regex", initregex},

/* -- ADDMODULE MARKER 2 -- */

	/* This module lives in marshal.c */
	{"marshal", PyMarshal_Init},

	/* This lives in import.c */
	{"imp", initimp},

	/* These entries are here for sys.builtin_module_names */
	{"__main__", NULL},
	{"__builtin__", NULL},
	{"sys", NULL},
	{"exceptions", NULL},

#ifdef WITH_CYCLE_GC
	/* This lives in gcmodule.c */
	{"gc", initgc},
#endif

	/* Sentinel */
	{0, 0}
};
