#include "Python.h"

#include <dlfcn.h>

#ifndef RTLD_LAZY
#define RTLD_LAZY 1
#endif

#if defined(__DXE2_H__) || defined (__DXE3_H__) && defined (__DJGPP__)
#define NULL 0
#include "dxe3.h"

DXE_EXPORT_TABLE_AUTO (_dxe)
        DXE_EXPORT (PyArg_ParseTuple)
        DXE_EXPORT (PyCObject_AsVoidPtr)
        DXE_EXPORT (PyDict_GetItemString)
        DXE_EXPORT (PyImport_ImportModule)
        DXE_EXPORT (PyModule_GetDict)
        DXE_EXPORT (_PyObject_Del)
        DXE_EXPORT (PyObject_IsTrue)
        DXE_EXPORT (PyString_FromString)
        DXE_EXPORT (PyDict_SetItemString)
        DXE_EXPORT (PyString_InternFromString)
        DXE_EXPORT (Py_BuildValue)
        DXE_EXPORT (Py_InitModule4)
        DXE_EXPORT (PyObject_GetAttrString)
        DXE_EXPORT (PyNumber_Check)
        DXE_EXPORT (PyNumber_Subtract)
        DXE_EXPORT (PyErr_SetObject)
        DXE_EXPORT (PyObject_Type)
        DXE_EXPORT (PyExc_ValueError)

        DXE_EXPORT (PyFloat_Type)
        DXE_EXPORT (PyNumber_Or)
        DXE_EXPORT (PyNumber_And)
        DXE_EXPORT (PyNumber_Xor)
        DXE_EXPORT (PyInt_Type)
        DXE_EXPORT (PyLong_Type)

        DXE_EXPORT (PyCObject_Type)
        DXE_EXPORT (PyType_IsSubtype)
        DXE_EXPORT (PyInt_FromLong)
        DXE_EXPORT (PyLong_FromLong)
        DXE_EXPORT (PyType_Type)
        DXE_EXPORT (PyFloat_FromDouble)


        DXE_EXPORT (__djgpp_base_address)
        DXE_EXPORT (__djgpp_selector_limit)
        DXE_EXPORT (__djgpp_stack_limit)
        DXE_EXPORT (__exit)
        DXE_EXPORT (__sbrk)
        DXE_EXPORT (_crt0_init_mcount)
        DXE_EXPORT (_stklen)
        DXE_EXPORT (_stubinfo)
        DXE_EXPORT (end)
        DXE_EXPORT (main)
        DXE_EXPORT (fputs)
        DXE_EXPORT (isnan)
        DXE_EXPORT (finite)
        DXE_EXPORT (isinf)
        DXE_EXPORT (free)
        DXE_EXPORT (exp)
        DXE_EXPORT (log)
        DXE_EXPORT (malloc)
        DXE_EXPORT (floor)
	DXE_EXPORT (PyArg_ParseTuple)
	DXE_EXPORT (PyErr_SetString)
	DXE_EXPORT (PyEval_CallObjectWithKeywords)
	DXE_EXPORT (PyExc_MemoryError)
	DXE_EXPORT (PyExc_ValueError)
	DXE_EXPORT (PyFloat_AsDouble)
	DXE_EXPORT (PyFloat_FromDouble)
	DXE_EXPORT (PyFloat_Type)
	DXE_EXPORT (PyInt_AsLong)
	DXE_EXPORT (PyInt_FromLong)
	DXE_EXPORT (PyInt_Type)
	DXE_EXPORT (PyLong_AsLong)
	DXE_EXPORT (PyObject_Size)
	DXE_EXPORT (PySequence_Check)
	DXE_EXPORT (PySequence_GetItem)
	DXE_EXPORT (PySequence_SetItem)
	DXE_EXPORT (PyType_IsSubtype)
	DXE_EXPORT (Py_BuildValue)
	DXE_EXPORT (Py_InitModule4)
	DXE_EXPORT (_Py_NoneStruct)
	DXE_EXPORT (__dj_ctype_tolower)
	DXE_EXPORT (__dj_ctype_toupper)
	DXE_EXPORT (__dj_stderr)
	DXE_EXPORT (__dj_stdout)
	DXE_EXPORT (acos)
	DXE_EXPORT (atan)
	DXE_EXPORT (atan2)
	DXE_EXPORT (atexit)
	DXE_EXPORT (atof)
	DXE_EXPORT (atoi)
	DXE_EXPORT (calloc)
	DXE_EXPORT (clock)
	DXE_EXPORT (cos)
	DXE_EXPORT (exit)
	DXE_EXPORT (fclose)
	DXE_EXPORT (feof)
	DXE_EXPORT (fgets)
	DXE_EXPORT (fopen)
	DXE_EXPORT (fprintf)
	DXE_EXPORT (fputs)
	DXE_EXPORT (fread)
	DXE_EXPORT (free)
	DXE_EXPORT (fscanf)
	DXE_EXPORT (fseek)
	DXE_EXPORT (ftell)
	DXE_EXPORT (fwrite)
	DXE_EXPORT (getenv)
	DXE_EXPORT (getkey)
	DXE_EXPORT (gets)
	DXE_EXPORT (localtime)
	DXE_EXPORT (log)
	DXE_EXPORT (log10)
	DXE_EXPORT (malloc)
	DXE_EXPORT (memcpy)
	DXE_EXPORT (memset)
	DXE_EXPORT (outportb)
	DXE_EXPORT (pow)
	DXE_EXPORT (printf)
	DXE_EXPORT (realloc)
	DXE_EXPORT (remove)
	DXE_EXPORT (rewind)
	DXE_EXPORT (sin)
	DXE_EXPORT (sprintf)
	DXE_EXPORT (sqrt)
	DXE_EXPORT (sscanf)
	DXE_EXPORT (strcat)
	DXE_EXPORT (strchr)
	DXE_EXPORT (strcmp)
	DXE_EXPORT (strcpy)
	DXE_EXPORT (strlen)
	DXE_EXPORT (strncmp)
	DXE_EXPORT (strstr)
	DXE_EXPORT (system)
	DXE_EXPORT (tan)
	DXE_EXPORT (time)
DXE_EXPORT_END
#endif

