
/* dl module */

#include "Python.h"

#include <dlfcn.h>

#ifndef RTLD_LAZY
#define RTLD_LAZY 1
#endif

#ifdef __DJGPP__
extern __djgpp_base_address;
extern __djgpp_ds_alias;
extern __djgpp_exception_state_ptr;
extern __djgpp_hw_exception;
extern __djgpp_nearptr_disable;
extern __djgpp_nearptr_enable;
extern __djgpp_selector_limit;
extern __djgpp_set_ctrl_c;
extern __dj_double_min;
extern __dj_double_max;
extern __dj_movedata;
extern bind;
extern cfgetospeed;
extern connect;
extern crc32;
extern deflateEnd;
extern deflate;
extern deflateInit2_;
extern __dpmi_allocate_ldt_descriptors;
extern __dpmi_error;
extern __dpmi_free_ldt_descriptor;
extern __dpmi_free_physical_address_mapping;
extern __dpmi_get_real_mode_interrupt_vector;
extern __dpmi_get_segment_base_address;
extern __dpmi_get_segment_limit;
extern __dpmi_unlock_linear_region;
extern __dpmi_physical_address_mapping;
extern __dpmi_set_segment_base_address;
extern __dpmi_set_segment_limit;
extern __dpmi_simulate_real_mode_interrupt;
extern __dpmi_allocate_dos_memory;
extern __dpmi_free_dos_memory;
extern __dpmi_get_free_memory_information;
extern __dpmi_int;
extern __dpmi_get_protected_mode_interrupt_vector;
extern __dpmi_set_protected_mode_interrupt_vector;
extern __dpmi_simulate_real_mode_procedure_retf;
extern __dpmi_lock_linear_region;
extern __dpmi_yield;
extern _dos_getdrive;
extern _dos_setdrive;
extern _dos_setfileattr;
extern _go32_dpmi_allocate_dos_memory;
extern _go32_dpmi_allocate_real_mode_callback_retf;
extern _go32_dpmi_free_dos_memory;
extern _go32_dpmi_free_real_mode_callback;
extern _go32_dpmi_lock_code;
extern _go32_want_ctrl_break;
extern _close;
extern __crt0_argv;
extern _crt0_startup_flags;
extern _conio_kbhit;
extern _fmode;
extern __FSEXT_get_data;
extern __FSEXT_set_data;
extern __FSEXT_alloc_fd;
extern __FSEXT_set_function;
extern _get_dos_version;
extern __movedata;
extern _osmajor;
extern _set_screen_lines;
extern _stklen;
extern _use_lfn;
extern __udivdi3;
extern __umoddi3;
extern _write;
extern creat;
extern end;
extern environ;
extern fcntl;
extern findnext;
extern findfirst;
extern getch;
extern isblank;
extern raise;
extern getcbrk;
extern gethostbyname;
extern getservbyname;
extern getnetbyname;
extern getprotobyname;
extern getkey;
extern getrlimit;
extern getrusage;
extern getsockname;
extern getsockopt;
extern gzclose;
extern gzdopen;
extern gzopen;
extern gzread;
extern gzwrite;
extern _go32_dpmi_lock_data;
extern _go32_info_block;
extern inet_aton;
extern inet_ntoa;
extern ioctl;
extern kbhit;
extern listen;
extern localeconv;
extern longjmp;
extern open;
extern outportb;
extern psignal;
extern recv;
extern regcomp;
extern regexec;
extern regfree;
extern send;
extern setjmp;
extern setrlimit;
extern ScreenRows;
extern sigaction;
extern signal;
extern sigemptyset;
extern socket;
extern tcflush;
extern tcgetattr;
extern tcsetattr;
int trace(int inn) { return inn;}
void _nc_tracebits() { }
int _tracechar(int inn) { return 0;}
extern waitpid;
extern spawnv;
extern PyCode_New;
extern PyCode_Type;
extern PyEval_EvalCode;
extern PyFrame_New;
extern PyMember_Get;
extern PyNode_New;
extern PyNode_AddChild;
extern PyNode_Free;
extern PyNode_Compile;
extern _PyLong_New;
void _PyCore_ObjectMalloc (size_t m);
void _PyCore_ObjectMalloc (size_t m) {malloc (m);}

DXE_EXPORT_TABLE_AUTO (___dxe_eta____bas)
	DXE_EXPORT (PyArg_Parse)
	DXE_EXPORT (PyArg_ParseTuple)
	DXE_EXPORT (PyArg_ParseTupleAndKeywords)
	DXE_EXPORT (PyBuffer_FromReadWriteObject)
	DXE_EXPORT (PyCallable_Check)
	DXE_EXPORT (PyCFunction_GetFunction)
	DXE_EXPORT (PyCObject_AsVoidPtr)
	DXE_EXPORT (PyCObject_FromVoidPtr)
	DXE_EXPORT (PyCObject_FromVoidPtrAndDesc)
	DXE_EXPORT (PyCode_New)
	DXE_EXPORT (PyCode_Type)
	DXE_EXPORT (PyCodec_Encoder)
	DXE_EXPORT (PyCObject_Type)
	DXE_EXPORT (PyComplex_AsCComplex)
	DXE_EXPORT (PyComplex_FromDoubles)
	DXE_EXPORT (PyComplex_ImagAsDouble)
	DXE_EXPORT (PyComplex_RealAsDouble)
	DXE_EXPORT (PyComplex_Type)
	DXE_EXPORT (PyDict_Clear)
	DXE_EXPORT (PyDict_Copy)
	DXE_EXPORT (PyDict_DelItem)
	DXE_EXPORT (PyDict_DelItemString)
	DXE_EXPORT (PyDict_GetItem)
	DXE_EXPORT (PyDict_GetItemString)
	DXE_EXPORT (PyDict_New)
	DXE_EXPORT (PyDict_Next)
	DXE_EXPORT (PyDict_SetItem)
	DXE_EXPORT (PyDict_SetItemString)
	DXE_EXPORT (PyDict_Size)
	DXE_EXPORT (PyDict_Type)
	DXE_EXPORT (PyDict_Values)
	DXE_EXPORT (PyErr_Clear)
	DXE_EXPORT (PyErr_ExceptionMatches)
	DXE_EXPORT (PyErr_Format)
	DXE_EXPORT (PyErr_NewException)
	DXE_EXPORT (PyErr_NoMemory)
	DXE_EXPORT (PyErr_Occurred)
	DXE_EXPORT (PyErr_Print)
	DXE_EXPORT (PyErr_SetFromErrno)
	DXE_EXPORT (PyErr_SetFromErrnoWithFilename)
	DXE_EXPORT (PyErr_SetObject)
	DXE_EXPORT (PyErr_SetString)
	DXE_EXPORT (PyErr_Warn)
	DXE_EXPORT (PyEval_CallMethod)
	DXE_EXPORT (PyEval_CallObjectWithKeywords)
	DXE_EXPORT (PyEval_EvalCode)
	DXE_EXPORT (PyEval_SetProfile)
	DXE_EXPORT (PyEval_SetTrace)
	DXE_EXPORT (PyExc_ArithmeticError)
	DXE_EXPORT (PyExc_AssertionError)
	DXE_EXPORT (PyExc_AttributeError)
	DXE_EXPORT (PyExc_DeprecationWarning)
	DXE_EXPORT (PyExc_EOFError)
	DXE_EXPORT (PyExc_IOError)
	DXE_EXPORT (PyExc_IndexError)
	DXE_EXPORT (PyExc_KeyError)
	DXE_EXPORT (PyExc_MemoryError)
	DXE_EXPORT (PyExc_NameError)
	DXE_EXPORT (PyExc_OverflowError)
	DXE_EXPORT (PyExc_RuntimeError)
	DXE_EXPORT (PyExc_SyntaxError)
	DXE_EXPORT (PyExc_SystemError)
	DXE_EXPORT (PyExc_TypeError)
	DXE_EXPORT (PyExc_ValueError)
	DXE_EXPORT (PyExc_ZeroDivisionError)
	DXE_EXPORT (PyFile_AsFile)
	DXE_EXPORT (PyFile_Type)
	DXE_EXPORT (PyFloat_AsDouble)
	DXE_EXPORT (PyFloat_FromDouble)
	DXE_EXPORT (PyFloat_Type)
	DXE_EXPORT (PyFrame_New)
	DXE_EXPORT (PyImport_GetModuleDict)
	DXE_EXPORT (PyImport_ImportModule)
	DXE_EXPORT (PyInstance_Type)
	DXE_EXPORT (PyInt_AsLong)
	DXE_EXPORT (PyInt_FromLong)
	DXE_EXPORT (PyInt_Type)
	DXE_EXPORT (PyList_Append)
	DXE_EXPORT (PyList_AsTuple)
	DXE_EXPORT (PyList_GetItem)
	DXE_EXPORT (PyList_Insert)
	DXE_EXPORT (PyList_New)
	DXE_EXPORT (PyList_Reverse)
	DXE_EXPORT (PyList_SetItem)
	DXE_EXPORT (PyList_Size)
	DXE_EXPORT (PyList_Type)
	DXE_EXPORT (PyLong_AsLong)
	DXE_EXPORT (PyLong_AsLongLong)
	DXE_EXPORT (PyLong_AsUnsignedLongLong)
	DXE_EXPORT (PyLong_AsUnsignedLong)
	DXE_EXPORT (PyLong_FromLong)
	DXE_EXPORT (PyLong_FromLongLong)
	DXE_EXPORT (PyLong_FromString)
	DXE_EXPORT (PyLong_FromUnsignedLong)
	DXE_EXPORT (PyLong_FromUnsignedLongLong)
	DXE_EXPORT (PyLong_Type)
	DXE_EXPORT (PyMapping_Check)
	DXE_EXPORT (PyMapping_Size)
	DXE_EXPORT (PyMem_Free)
	DXE_EXPORT (PyMem_Malloc)
	DXE_EXPORT (PyMember_Get)
	DXE_EXPORT (PyMethod_Type)
	DXE_EXPORT (PyModule_AddObject)
	DXE_EXPORT (PyModule_AddIntConstant)
	DXE_EXPORT (PyModule_AddStringConstant)
	DXE_EXPORT (PyModule_GetDict)
	DXE_EXPORT (PyModule_New)
	DXE_EXPORT (PyNode_AddChild)
	DXE_EXPORT (PyNode_Compile)
	DXE_EXPORT (PyNode_Free)
	DXE_EXPORT (PyNode_New)
	DXE_EXPORT (PyNumber_Absolute)
	DXE_EXPORT (PyNumber_Add)
	DXE_EXPORT (PyNumber_And)
	DXE_EXPORT (PyNumber_Check)
	DXE_EXPORT (PyNumber_Divide)
	DXE_EXPORT (PyNumber_Float)
	DXE_EXPORT (PyNumber_InPlaceAdd)
	DXE_EXPORT (PyNumber_Invert)
	DXE_EXPORT (PyNumber_Int)
	DXE_EXPORT (PyNumber_Lshift)
	DXE_EXPORT (PyNumber_Multiply)
	DXE_EXPORT (PyNumber_Negative)
	DXE_EXPORT (PyNumber_Or)
	DXE_EXPORT (PyNumber_Power)
	DXE_EXPORT (PyNumber_Remainder)
	DXE_EXPORT (PyNumber_Rshift)
	DXE_EXPORT (PyNumber_Subtract)
	DXE_EXPORT (PyNumber_Xor)
	DXE_EXPORT (PyOS_AfterFork)
	DXE_EXPORT (PyOS_snprintf)
	DXE_EXPORT (PyOS_strtol)
	DXE_EXPORT (PyOS_strtoul)
	DXE_EXPORT (PyObject_AsFileDescriptor)
	DXE_EXPORT (PyObject_AsReadBuffer)
	DXE_EXPORT (PyObject_CallFunction)
	DXE_EXPORT (PyObject_CallMethod)
	DXE_EXPORT (PyObject_CallObject)
	DXE_EXPORT (PyObject_Cmp)
	DXE_EXPORT (PyObject_Compare)
	DXE_EXPORT (PyObject_GetAttr)
	DXE_EXPORT (PyObject_GetAttrString)
	DXE_EXPORT (PyObject_GetItem)
	DXE_EXPORT (PyObject_HasAttrString)
	DXE_EXPORT (PyObject_Init)
	DXE_EXPORT (PyObject_IsInstance)
	DXE_EXPORT (PyObject_IsTrue)
	DXE_EXPORT (PyObject_Print)
	DXE_EXPORT (PyObject_Repr)
	DXE_EXPORT (PyObject_SetAttrString)
	DXE_EXPORT (PyObject_Size)
	DXE_EXPORT (PyObject_Str)
	DXE_EXPORT (PyObject_Type)
	DXE_EXPORT (PyObject_Unicode)
	DXE_EXPORT (PyParser_SimpleParseString)
	DXE_EXPORT (PySequence_Check)
	DXE_EXPORT (PySequence_Concat)
	DXE_EXPORT (PySequence_DelItem)
	DXE_EXPORT (PySequence_Fast)
	DXE_EXPORT (PySequence_GetItem)
	DXE_EXPORT (PySequence_GetSlice)
	DXE_EXPORT (PySequence_SetItem)
	DXE_EXPORT (PySequence_Size)
	DXE_EXPORT (PySequence_Tuple)
	DXE_EXPORT (PySlice_Type)
	DXE_EXPORT (PyString_AsString)
	DXE_EXPORT (PyString_Format)
	DXE_EXPORT (PyString_FromString)
	DXE_EXPORT (PyString_FromStringAndSize)
	DXE_EXPORT (PyString_InternFromString)
	DXE_EXPORT (PyString_Size)
	DXE_EXPORT (PyString_Type)
	DXE_EXPORT (PySys_GetObject)
	DXE_EXPORT (PySys_WriteStderr)
	DXE_EXPORT (PyTraceBack_Here)
	DXE_EXPORT (PyTuple_GetItem)
	DXE_EXPORT (PyTuple_New)
	DXE_EXPORT (PyTuple_SetItem)
	DXE_EXPORT (PyTuple_Size)
	DXE_EXPORT (PyTuple_Type)
	DXE_EXPORT (PyType_IsSubtype)
	DXE_EXPORT (PyType_Type)
	DXE_EXPORT (PyUnicodeUCS2_AsASCIIString)
	DXE_EXPORT (PyUnicodeUCS2_AsUnicode)
	DXE_EXPORT (PyUnicodeUCS2_AsUTF8String)
	DXE_EXPORT (PyUnicodeUCS2_AsUTF16String)
	DXE_EXPORT (PyUnicodeUCS2_Contains)
	DXE_EXPORT (PyUnicodeUCS2_Decode)
	DXE_EXPORT (PyUnicodeUCS2_DecodeASCII)
	DXE_EXPORT (PyUnicodeUCS2_DecodeUTF16)
	DXE_EXPORT (PyUnicodeUCS2_DecodeUTF8)
	DXE_EXPORT (PyUnicodeUCS2_EncodeUTF16)
	DXE_EXPORT (PyUnicodeUCS2_FromEncodedObject)
	DXE_EXPORT (PyUnicodeUCS2_FromObject)
	DXE_EXPORT (PyUnicodeUCS2_FromUnicode)
	DXE_EXPORT (PyUnicodeUCS2_GetMax)
	DXE_EXPORT (PyUnicodeUCS2_GetSize)
	DXE_EXPORT (PyUnicodeUCS2_Join)
	DXE_EXPORT (PyUnicodeUCS2_Resize)
	DXE_EXPORT (PyUnicode_Type)
	DXE_EXPORT (Py_BuildValue)
	DXE_EXPORT (Py_FatalError)
	DXE_EXPORT (Py_FindMethod)
	DXE_EXPORT (Py_FindMethodInChain)
	DXE_EXPORT (Py_GetPlatform)
	DXE_EXPORT (Py_GetProgramFullPath)
	DXE_EXPORT (Py_GetVersion)
	DXE_EXPORT (Py_InitModule4)
	DXE_EXPORT (_PyObject_Del)
	DXE_EXPORT (_PyObject_GC_Del)
	DXE_EXPORT (_PyObject_GC_New)
	DXE_EXPORT (_PyObject_GC_Track)
	DXE_EXPORT (_PyObject_GC_UnTrack)
	DXE_EXPORT (_PyCore_ObjectMalloc)
	DXE_EXPORT (_PyObject_New)
	DXE_EXPORT (_PyObject_NewVar)
	DXE_EXPORT (_PyString_Resize)
	DXE_EXPORT (_Py_EllipsisObject)
	DXE_EXPORT (_PyErr_BadInternalCall)
	DXE_EXPORT (_PyLong_New)
	DXE_EXPORT (_Py_NoneStruct)
	DXE_EXPORT (_PyThreadState_Current)
	DXE_EXPORT (_Py_TrueStruct)
	DXE_EXPORT (_Py_ZeroStruct)
	DXE_EXPORT (_Py_c_diff)
	DXE_EXPORT (_Py_c_neg)
	DXE_EXPORT (_Py_c_pow)
	DXE_EXPORT (_Py_c_prod)
	DXE_EXPORT (_Py_c_quot)
	DXE_EXPORT (_Py_c_sum)
	DXE_EXPORT (__djgpp_base_address)
	DXE_EXPORT (__djgpp_ds_alias)
	DXE_EXPORT (__djgpp_exception_state_ptr)
	DXE_EXPORT (__djgpp_hw_exception)
	DXE_EXPORT (__djgpp_nearptr_disable)
	DXE_EXPORT (__djgpp_nearptr_enable)
	DXE_EXPORT (__djgpp_selector_limit)
	DXE_EXPORT (__djgpp_set_ctrl_c)
	DXE_EXPORT (__dj_assert)
	DXE_EXPORT (__dj_ctype_flags)
	DXE_EXPORT (__dj_ctype_tolower)
	DXE_EXPORT (__dj_ctype_toupper)
	DXE_EXPORT (__dj_double_min)
	DXE_EXPORT (__dj_double_max)
	DXE_EXPORT (__dj_huge_val)
	DXE_EXPORT (__dj_stderr)
	DXE_EXPORT (__dj_movedata)
	DXE_EXPORT (__dj_stdin)
	DXE_EXPORT (__dj_stdout)
	DXE_EXPORT (_go32_dpmi_lock_data)
	DXE_EXPORT (_go32_dpmi_allocate_dos_memory)
	DXE_EXPORT (_go32_dpmi_allocate_real_mode_callback_retf)
	DXE_EXPORT (_go32_dpmi_free_dos_memory)
	DXE_EXPORT (_go32_dpmi_free_real_mode_callback)
	DXE_EXPORT (_go32_dpmi_lock_code)
	DXE_EXPORT (_go32_info_block)
	DXE_EXPORT (_go32_want_ctrl_break)
	DXE_EXPORT (__crt0_argv)
	DXE_EXPORT (_crt0_startup_flags)
	DXE_EXPORT (_conio_kbhit)
	DXE_EXPORT (__dpmi_allocate_dos_memory)
	DXE_EXPORT (__dpmi_allocate_ldt_descriptors)
	DXE_EXPORT (__dpmi_error)
	DXE_EXPORT (__dpmi_free_dos_memory)
	DXE_EXPORT (__dpmi_free_ldt_descriptor)
	DXE_EXPORT (__dpmi_free_physical_address_mapping)
	DXE_EXPORT (__dpmi_get_free_memory_information)
	DXE_EXPORT (__dpmi_get_real_mode_interrupt_vector)
	DXE_EXPORT (__dpmi_get_segment_base_address)
	DXE_EXPORT (__dpmi_get_segment_limit)
	DXE_EXPORT (__dpmi_int)
	DXE_EXPORT (__dpmi_lock_linear_region)
	DXE_EXPORT (__dpmi_unlock_linear_region)
	DXE_EXPORT (__dpmi_physical_address_mapping)
	DXE_EXPORT (__dpmi_get_protected_mode_interrupt_vector)
	DXE_EXPORT (__dpmi_set_protected_mode_interrupt_vector)
	DXE_EXPORT (__dpmi_set_segment_base_address)
	DXE_EXPORT (__dpmi_set_segment_limit)
	DXE_EXPORT (__dpmi_simulate_real_mode_interrupt)
	DXE_EXPORT (__dpmi_simulate_real_mode_procedure_retf)
	DXE_EXPORT (__dpmi_yield)
	DXE_EXPORT (_nc_tracebits)
	DXE_EXPORT (_tracechar)
	DXE_EXPORT (_dos_getdrive)
	DXE_EXPORT (_dos_setdrive)
	DXE_EXPORT (_dos_setfileattr)
	DXE_EXPORT (_fmode)
	DXE_EXPORT (_get_dos_version)
	DXE_EXPORT (__movedata)
	DXE_EXPORT (_osmajor)
	DXE_EXPORT (_set_screen_lines)
	DXE_EXPORT (_stklen)
	DXE_EXPORT (_use_lfn)
	DXE_EXPORT (__udivdi3)
	DXE_EXPORT (__umoddi3)
	DXE_EXPORT (_write)
	DXE_EXPORT (__FSEXT_get_data)      /* These are possible suspects */
	DXE_EXPORT (__FSEXT_set_data)      /* in "General Protection Fault" */
	DXE_EXPORT (__FSEXT_alloc_fd)      /* type errors from DXEs       */
	DXE_EXPORT (__FSEXT_set_function)  /* Maybe don't link DXE w/ wattcp?*/
	DXE_EXPORT (abort)
	DXE_EXPORT (abs)
	DXE_EXPORT (access)
	DXE_EXPORT (acos)
	DXE_EXPORT (acosh)
	DXE_EXPORT (asin)
	DXE_EXPORT (atan)
	DXE_EXPORT (atan2)
	DXE_EXPORT (atanh)
	DXE_EXPORT (atexit)
	DXE_EXPORT (atoi)
	DXE_EXPORT (atof)
	DXE_EXPORT (atol)
	DXE_EXPORT (bcopy)
	DXE_EXPORT (bind)
	DXE_EXPORT (bsearch)
	DXE_EXPORT (calloc)
	DXE_EXPORT (cbrt)
	DXE_EXPORT (cfgetospeed)
	DXE_EXPORT (ceil)
	DXE_EXPORT (clearerr)
	DXE_EXPORT (clock)
	DXE_EXPORT (_close)
	DXE_EXPORT (close)
	DXE_EXPORT (connect)
	DXE_EXPORT (copysign)
	DXE_EXPORT (cos)
	DXE_EXPORT (crc32)
	DXE_EXPORT (creat)
	DXE_EXPORT (ctime)
	DXE_EXPORT (deflate)
	DXE_EXPORT (deflateEnd)
	DXE_EXPORT (deflateInit2_)
	DXE_EXPORT (div)
	DXE_EXPORT (dosmemget)
	DXE_EXPORT (dosmemput)
	DXE_EXPORT (dup)
	DXE_EXPORT (end)
	DXE_EXPORT (environ)
	DXE_EXPORT (erf)
	DXE_EXPORT (errno)
	DXE_EXPORT (execve)
	DXE_EXPORT (_exit)
	DXE_EXPORT (exit)
	DXE_EXPORT (exp)
	DXE_EXPORT (exp2)
	DXE_EXPORT (expm1)
	DXE_EXPORT (fabs)
	DXE_EXPORT (fclose)
	DXE_EXPORT (fcntl)
	DXE_EXPORT (fdopen)
	DXE_EXPORT (feof)
	DXE_EXPORT (ferror)
	DXE_EXPORT (fflush)
	DXE_EXPORT (fileno)
	DXE_EXPORT (findfirst)
	DXE_EXPORT (findnext)
	DXE_EXPORT (finite)
	DXE_EXPORT (floor)
	DXE_EXPORT (fmod)
	DXE_EXPORT (fork)
	DXE_EXPORT (fgetpos)
	DXE_EXPORT (fgetc)
	DXE_EXPORT (fgets)
	DXE_EXPORT (fopen)
	DXE_EXPORT (fpathconf)
	DXE_EXPORT (fprintf)
	DXE_EXPORT (fputc)
	DXE_EXPORT (fputs)
	DXE_EXPORT (fread)
	DXE_EXPORT (free)
	DXE_EXPORT (frexp)
	DXE_EXPORT (fscanf)
	DXE_EXPORT (fseek)
	DXE_EXPORT (fstat)
	DXE_EXPORT (fsync)
	DXE_EXPORT (ftell)
	DXE_EXPORT (ftruncate)
	DXE_EXPORT (fwrite)
	DXE_EXPORT (getc)
	DXE_EXPORT (getcbrk)
	DXE_EXPORT (getch)
	DXE_EXPORT (getchar)
	DXE_EXPORT (getcwd)
	DXE_EXPORT (getenv)
	DXE_EXPORT (gethostname)
	DXE_EXPORT (gethostbyname)
	DXE_EXPORT (getnetbyname)
	DXE_EXPORT (getservbyname)
	DXE_EXPORT (getprotobyname)
	DXE_EXPORT (getkey)
	DXE_EXPORT (getpid)
	DXE_EXPORT (getrlimit)
	DXE_EXPORT (getrusage)
	DXE_EXPORT (gets)
	DXE_EXPORT (gettimeofday)
	DXE_EXPORT (getsockname)
	DXE_EXPORT (getsockopt)
	DXE_EXPORT (gmtime)
	DXE_EXPORT (gzclose)
	DXE_EXPORT (gzdopen)
	DXE_EXPORT (gzopen)
	DXE_EXPORT (gzwrite)
	DXE_EXPORT (gzread)
	DXE_EXPORT (hypot)
	DXE_EXPORT (ioctl)
	DXE_EXPORT (inet_aton)
	DXE_EXPORT (inet_ntoa)
	DXE_EXPORT (isalnum)
	DXE_EXPORT (isalpha)
	DXE_EXPORT (isatty)
	DXE_EXPORT (iscntrl)
	DXE_EXPORT (isdigit)
	DXE_EXPORT (isgraph)
	DXE_EXPORT (isinf)
	DXE_EXPORT (islower)
	DXE_EXPORT (isnan)
	DXE_EXPORT (isprint)
	DXE_EXPORT (ispunct)
	DXE_EXPORT (isspace)
	DXE_EXPORT (isupper)
	DXE_EXPORT (isxdigit)
	DXE_EXPORT (itoa)
	DXE_EXPORT (kbhit)
	DXE_EXPORT (ldexp)
	DXE_EXPORT (listen)
	DXE_EXPORT (localeconv)
	DXE_EXPORT (localtime)
	DXE_EXPORT (log)
	DXE_EXPORT (log10)
	DXE_EXPORT (longjmp)
	DXE_EXPORT (lseek)
	DXE_EXPORT (malloc)
	DXE_EXPORT (memccpy)
	DXE_EXPORT (memchr)
	DXE_EXPORT (memcpy)
	DXE_EXPORT (memset)
	DXE_EXPORT (memmove)
	DXE_EXPORT (mkdir)
	DXE_EXPORT (mktime)
	DXE_EXPORT (modf)
	DXE_EXPORT (nan)
	DXE_EXPORT (nextafter)
	DXE_EXPORT (open)
	DXE_EXPORT (outportb)
	DXE_EXPORT (perror)
	DXE_EXPORT (pow)
	DXE_EXPORT (printf)
	DXE_EXPORT (psignal)
	DXE_EXPORT (putc)
	DXE_EXPORT (putchar)
	DXE_EXPORT (putenv)
	DXE_EXPORT (puts)
	DXE_EXPORT (qsort)
	DXE_EXPORT (raise)
	DXE_EXPORT (rand)
	DXE_EXPORT (read)
	DXE_EXPORT (realloc)
	DXE_EXPORT (recv)
	DXE_EXPORT (regcomp)
	DXE_EXPORT (regexec)
	DXE_EXPORT (regfree)
	DXE_EXPORT (remainder)
	DXE_EXPORT (remove)
	DXE_EXPORT (rename)
	DXE_EXPORT (rewind)
	DXE_EXPORT (rint)
	DXE_EXPORT (scanf)
	DXE_EXPORT (scalbn)
	DXE_EXPORT (ScreenRows)
	DXE_EXPORT (select)
	DXE_EXPORT (send)
	DXE_EXPORT (setbuf)
	DXE_EXPORT (setjmp)
	DXE_EXPORT (setrlimit)
	DXE_EXPORT (setsid)
	DXE_EXPORT (setvbuf)
	DXE_EXPORT (sigaction)
	DXE_EXPORT (signal)
	DXE_EXPORT (sigemptyset)
	DXE_EXPORT (sin)
	DXE_EXPORT (sincos)
	DXE_EXPORT (sleep)
	DXE_EXPORT (snprintf)
	DXE_EXPORT (socket)
	DXE_EXPORT (spawnv)
	DXE_EXPORT (sprintf)
	DXE_EXPORT (sqrt)
	DXE_EXPORT (srand)
	DXE_EXPORT (strnicmp)
	DXE_EXPORT (sscanf)
	DXE_EXPORT (stat)
	DXE_EXPORT (strcasecmp)
	DXE_EXPORT (strcat)
	DXE_EXPORT (strchr)
	DXE_EXPORT (strcmp)
	DXE_EXPORT (strcoll)
	DXE_EXPORT (strcpy)
	DXE_EXPORT (strcspn)
	DXE_EXPORT (strdup)
	DXE_EXPORT (strerror)
	DXE_EXPORT (strftime)
	DXE_EXPORT (stricmp)
	DXE_EXPORT (strlen)
	DXE_EXPORT (strlwr)
	DXE_EXPORT (strncat)
	DXE_EXPORT (strncmp)
	DXE_EXPORT (strncpy)
	DXE_EXPORT (strpbrk)
	DXE_EXPORT (strrchr)
	DXE_EXPORT (strspn)
	DXE_EXPORT (strstr)
	DXE_EXPORT (strtod)
	DXE_EXPORT (strtok)
	DXE_EXPORT (strtol)
	DXE_EXPORT (strupr)
	DXE_EXPORT (strxfrm)
	DXE_EXPORT (system)
	DXE_EXPORT (tan)
	DXE_EXPORT (tanh)
	DXE_EXPORT (tcflush)
	DXE_EXPORT (tcgetattr)
	DXE_EXPORT (tcsetattr)
	DXE_EXPORT (tmpfile)
	DXE_EXPORT (tmpnam)
	DXE_EXPORT (time)
	DXE_EXPORT (trace)
	DXE_EXPORT (tolower)
	DXE_EXPORT (toupper)
	DXE_EXPORT (ungetc)
	DXE_EXPORT (unlink)
	DXE_EXPORT (vprintf)
	DXE_EXPORT (vfprintf)
	DXE_EXPORT (vsnprintf)
	DXE_EXPORT (vsprintf)
	DXE_EXPORT (vscanf)
	DXE_EXPORT (vfscanf)
	DXE_EXPORT (vsscanf)
	DXE_EXPORT (waitpid)
	DXE_EXPORT (write)
DXE_EXPORT_END
#endif


typedef void *PyUnivPtr;
typedef struct {
	PyObject_HEAD
	PyUnivPtr *dl_handle;
} dlobject;

staticforward PyTypeObject Dltype;

static PyObject *Dlerror;

static PyObject *
newdlobject(PyUnivPtr *handle)
{
	dlobject *xp;
	xp = PyObject_New(dlobject, &Dltype);
	if (xp == NULL)
		return NULL;
	xp->dl_handle = handle;
	return (PyObject *)xp;
}

static void
dl_dealloc(dlobject *xp)
{
	if (xp->dl_handle != NULL)
		dlclose(xp->dl_handle);
	PyObject_Del(xp);
}

static PyObject *
dl_close(dlobject *xp, PyObject *args)
{
	if (!PyArg_Parse(args, ""))
		return NULL;
	if (xp->dl_handle != NULL) {
		dlclose(xp->dl_handle);
		xp->dl_handle = NULL;
	}
	Py_INCREF(Py_None);
	return Py_None;
}

static PyObject *
dl_sym(dlobject *xp, PyObject *args)
{
	char *name;
	PyUnivPtr *func;
	if (!PyArg_Parse(args, "s", &name))
		return NULL;
	func = dlsym(xp->dl_handle, name);
	if (func == NULL) {
		Py_INCREF(Py_None);
		return Py_None;
	}
	return PyInt_FromLong((long)func);
}

static PyObject *
dl_call(dlobject *xp, PyObject *args)
{
	PyObject *name;
	long (*func)(long, long, long, long, long,
                     long, long, long, long, long);
	long alist[10];
	long res;
	int i;
	int n = PyTuple_Size(args);
	if (n < 1) {
		PyErr_SetString(PyExc_TypeError, "at least a name is needed");
		return NULL;
	}
	name = PyTuple_GetItem(args, 0);
	if (!PyString_Check(name)) {
		PyErr_SetString(PyExc_TypeError,
				"function name must be a string");
		return NULL;
	}
	func = (long (*)(long, long, long, long, long, 
                         long, long, long, long, long)) 
          dlsym(xp->dl_handle, PyString_AsString(name));
	if (func == NULL) {
		PyErr_SetString(PyExc_ValueError, dlerror());
		return NULL;
	}
	if (n-1 > 10) {
		PyErr_SetString(PyExc_TypeError,
				"too many arguments (max 10)");
		return NULL;
	}
	for (i = 1; i < n; i++) {
		PyObject *v = PyTuple_GetItem(args, i);
		if (PyInt_Check(v))
			alist[i-1] = PyInt_AsLong(v);
		else if (PyString_Check(v))
			alist[i-1] = (long)PyString_AsString(v);
		else if (v == Py_None)
			alist[i-1] = (long) ((char *)NULL);
		else {
			PyErr_SetString(PyExc_TypeError,
				   "arguments must be int, string or None");
			return NULL;
		}
	}
	for (; i <= 10; i++)
		alist[i-1] = 0;
	res = (*func)(alist[0], alist[1], alist[2], alist[3], alist[4],
		      alist[5], alist[6], alist[7], alist[8], alist[9]);
	return PyInt_FromLong(res);
}

static PyMethodDef dlobject_methods[] = {
	{"call",	(PyCFunction)dl_call,	1 /* varargs */},
	{"sym", 	(PyCFunction)dl_sym},
	{"close",	(PyCFunction)dl_close},
	{NULL,  	NULL}			 /* Sentinel */
};

static PyObject *
dl_getattr(dlobject *xp, char *name)
{
	return Py_FindMethod(dlobject_methods, (PyObject *)xp, name);
}


static PyTypeObject Dltype = {
	PyObject_HEAD_INIT(NULL)
	0,			/*ob_size*/
	"dl.dl",		/*tp_name*/
	sizeof(dlobject),	/*tp_basicsize*/
	0,			/*tp_itemsize*/
	/* methods */
	(destructor)dl_dealloc, /*tp_dealloc*/
	0,			/*tp_print*/
	(getattrfunc)dl_getattr,/*tp_getattr*/
	0,			/*tp_setattr*/
	0,			/*tp_compare*/
	0,			/*tp_repr*/
	0,			/*tp_as_number*/
	0,			/*tp_as_sequence*/
	0,			/*tp_as_mapping*/
	0,			/*tp_hash*/
};

static PyObject *
dl_open(PyObject *self, PyObject *args)
{
	char *name;
	int mode;
	PyUnivPtr *handle;
	if (PyArg_Parse(args, "z", &name))
		mode = RTLD_LAZY;
	else {
		PyErr_Clear();
		if (!PyArg_Parse(args, "(zi)", &name, &mode))
			return NULL;
#ifndef RTLD_NOW
		if (mode != RTLD_LAZY) {
			PyErr_SetString(PyExc_ValueError, "mode must be 1");
			return NULL;
		}
#endif
	}
	handle = dlopen(name, mode);
	if (handle == NULL) {
		PyErr_SetString(Dlerror, dlerror());
		return NULL;
	}
	return newdlobject(handle);
}

static PyMethodDef dl_methods[] = {
	{"open",	dl_open},
	{NULL,		NULL}		/* sentinel */
};

/* From socketmodule.c
 * Convenience routine to export an integer value.
 *
 * Errors are silently ignored, for better or for worse...
 */
static void
insint(PyObject *d, char *name, int value)
{
	PyObject *v = PyInt_FromLong((long) value);
	if (!v || PyDict_SetItemString(d, name, v))
		PyErr_Clear();

	Py_XDECREF(v);
}

DL_EXPORT(void)
initdl(void)
{
	PyObject *m, *d, *x;

	if (sizeof(int) != sizeof(long) ||
	    sizeof(long) != sizeof(char *)) {
		PyErr_SetString(PyExc_SystemError,
 "module dl requires sizeof(int) == sizeof(long) == sizeof(char*)");
		return;
	}

	/* Initialize object type */
	Dltype.ob_type = &PyType_Type;

	/* Create the module and add the functions */
	m = Py_InitModule("dl", dl_methods);

	/* Add some symbolic constants to the module */
	d = PyModule_GetDict(m);
	Dlerror = x = PyErr_NewException("dl.error", NULL, NULL);
	PyDict_SetItemString(d, "error", x);
	x = PyInt_FromLong((long)RTLD_LAZY);
	PyDict_SetItemString(d, "RTLD_LAZY", x);
#define INSINT(X)    insint(d,#X,X)
#ifdef RTLD_NOW
        INSINT(RTLD_NOW);
#endif
#ifdef RTLD_NOLOAD
        INSINT(RTLD_NOLOAD);
#endif
#ifdef RTLD_GLOBAL
        INSINT(RTLD_GLOBAL);
#endif
#ifdef RTLD_LOCAL
        INSINT(RTLD_LOCAL);
#endif
#ifdef RTLD_PARENT
        INSINT(RTLD_PARENT);
#endif
#ifdef RTLD_GROUP
        INSINT(RTLD_GROUP);
#endif
#ifdef RTLD_WORLD
        INSINT(RTLD_WORLD);
#endif
#ifdef RTLD_NODELETE
        INSINT(RTLD_NODELETE);
#endif
}
